#include <gear/ui/gui.h>
#include <sokol/sokol_gfx.h>
#include <sokol/sokol_app.h>
#include <sokol/util/sokol_nuklear.h>
#include <log.c/log.h>

void g_gui_update(g_gui* gui) {
    gui->ctx = snk_new_frame();
    nk_style_set_font(gui->ctx, &g_gui_font->handle);

    for(sl_vec_it(layer, gui->layers)) {
        (*layer)->draw(gui->ctx, *layer);
    }
}
